Bug 205941 - Without pygtk2-libglade installed, virt-manager stack traces
Summary: Without pygtk2-libglade installed, virt-manager stack traces
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-10 15:55 UTC by Chris Lalancette
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 16:13:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Lalancette 2006-09-10 15:55:26 UTC
Description of problem:
If you do not have the pygtk2-libglade package installed, virt-manager will fail
to start with the following stack trace:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 70, in ?
    from virtManager.engine import vmmEngine
  File "/usr/share/virt-manager/virtManager/engine.py", line 24, in ?
    from virtManager.about import vmmAbout
  File "/usr/share/virt-manager/virtManager/about.py", line 20, in ?
    import gtk.glade
ImportError: No module named glade

It's easily fixed by installing the pygtk2-libglade package; the virt-manager
package should probably Require pygtk2-libglade.

Comment 1 Daniel Berrange 2006-09-12 23:16:56 UTC
Yes its another missing RPM dependancy


Comment 2 Daniel Berrange 2006-09-19 16:13:21 UTC
Fixed in rawhide, virt-manager-0.2.2-1.fc6



Note You need to log in before you can comment on or make changes to this bug.